%define module pyasn1

Summary:	ASN.1 tools for Python
Name:		python-%{module}
Version:	0.4.4
Release:	1
License:	BSD
Group:		Development/Python
Url:		http://pyasn1.sourceforge.net/
Source0:	https://github.com/etingof/pyasn1/archive/v%{version}.tar.gz
BuildRequires:	pkgconfig(python)
Provides:	pyasn1 = %{EVRD}
Conflicts:	pyasn1 < 0.4.4
Obsoletes:	pyasn1 < 0.4.4
BuildArch:	noarch

%description
This project is dedicated to implementation of ASN.1 types (concrete syntax)
and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.

%files
%dir %{py_puresitedir}/%{module}/
%{py_puresitedir}/%{module}/*
%{py_puresitedir}/%{module}-*.egg-info

%pretrans
if [ -d %{py_puresitedir}/pyasn1-*.egg-info ]; then
  rm -rf %{py_puresitedir}/pyasn1-*.egg-info
fi

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	ASN.1 tools for Python
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-%{module}
This project is dedicated to implementation of ASN.1 types (concrete syntax)
and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.

%files -n python3-%{module}
%dir %{py3_puresitedir}/%{module}/
%{py3_puresitedir}/%{module}/*
%{py3_puresitedir}/%{module}-*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}

cp -a . %{py3dir}

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

pushd %{py3dir}
PYTHONDONTWRITEBYTECODE= %__python3 setup.py install --root=%{buildroot}
popd




%changelog

* Fri Aug 24 2018 Denis Silakov <dsilakov@virtuozzo.com> 0.4.4-1
- (0980a51) Updated to 0.4.4


